%global debug_package %{nil}

Name: python-openshift
Epoch: 100
Version: 0.12.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Python client for the OpenShift API
License: Apache-2.0
URL: https://github.com/openshift/openshift-restclient-python/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Python client for the OpenShift API.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-openshift
Summary: Python client for the OpenShift API
Requires: python3
Requires: python3-Jinja2
Requires: python3-kubernetes >= 12.0
Requires: python3-ruamel.yaml
Requires: python3-six
Requires: python3-string_utils
Provides: python3-openshift = %{epoch}:%{version}-%{release}
Provides: python3dist(openshift) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-openshift = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(openshift) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-openshift = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(openshift) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-openshift
Python client for the OpenShift API.

%files -n python%{python3_version_nodots}-openshift
%license LICENSE
%{_bindir}/openshift-ansible-gen
%{python3_sitelib}/openshift*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-openshift
Summary: Python client for the OpenShift API
Requires: python3
Requires: python3-Jinja2
Requires: python3-kubernetes >= 12.0
Requires: python3-ruamel.yaml
Requires: python3-six
Requires: python3-string_utils
Provides: python3-openshift = %{epoch}:%{version}-%{release}
Provides: python3dist(openshift) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-openshift = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(openshift) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-openshift = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(openshift) = %{epoch}:%{version}-%{release}

%description -n python3-openshift
Python client for the OpenShift API.

%files -n python3-openshift
%license LICENSE
%{_bindir}/openshift-ansible-gen
%{python3_sitelib}/openshift*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-openshift
Summary: Python client for the OpenShift API
Requires: python3
Requires: python3-jinja2
Requires: python3-kubernetes >= 12.0
Requires: python3-ruamel-yaml
Requires: python3-six
Requires: python3-string_utils
Provides: python3-openshift = %{epoch}:%{version}-%{release}
Provides: python3dist(openshift) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-openshift = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(openshift) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-openshift = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(openshift) = %{epoch}:%{version}-%{release}

%description -n python3-openshift
Python client for the OpenShift API.

%files -n python3-openshift
%license LICENSE
%{_bindir}/openshift-ansible-gen
%{python3_sitelib}/openshift*
%endif

%changelog
